|  | Home · All Classes · Modules

# QNetworkAddressEntry Class Reference
[QtNetwork module]

The QNetworkAddressEntry class stores one IP address supported by a network interface, along with its associated netmask and broadcast address. More...

### Methods

- __init__ (self)
- __init__ (self, QNetworkAddressEntry other)
- QHostAddress broadcast (self)
- QHostAddress ip (self)
- QHostAddress netmask (self)
- setBroadcast (self, QHostAddress newBroadcast)
- setIp (self, QHostAddress newIp)
- setNetmask (self, QHostAddress newNetmask)

## Detailed Description

The QNetworkAddressEntry class stores one IP address supported by a network interface, along with its associated netmask and broadcast address.

Each network interface can contain zero or more IP addresses, which in turn can be associated with a netmask and/or a broadcast address (depending on support from the operating system).

This class represents one such group.

## Method Documentation

### QNetworkAddressEntry.__init__ (self)

Constructs an empty QNetworkAddressEntry object.

### QNetworkAddressEntry.__init__ (self, QNetworkAddressEntry other)

Constructs a QNetworkAddressEntry object that is a copy of the object other.

### QHostAddress QNetworkAddressEntry.broadcast (self)

Returns the broadcast address associated with the IPv4 address and netmask. It can usually be derived from those two by setting to 1 the bits of the IP address where the netmask contains a 0. (In other words, by bitwise-OR'ing the IP address with the inverse of the netmask)

This member is always empty for IPv6 addresses, since the concept of broadcast has been abandoned in that system in favor of multicast. In particular, the group of hosts corresponding to all the nodes in the local network can be reached by the "all-nodes" special multicast group (address FF02.1).

See also setBroadcast().

### QHostAddress QNetworkAddressEntry.ip (self)

This function returns one IPv4 or IPv6 address found, that was found in a network interface.

See also setIp().

### QHostAddress QNetworkAddressEntry.netmask (self)

Returns the netmask associated with the IP address. The netmask is expressed in the form of an IP address, such as 255.255.0.0.

For IPv6 addresses, the prefix length is converted to an address where the number of bits set to 1 is equal to the prefix length. For a prefix length of 64 bits (the most common value), the netmask will be expressed as a QHostAddress holding the address FFFF:FFFF:FFFF:FFFF.

See also setNetmask().

### QNetworkAddressEntry.setBroadcast (self, QHostAddress newBroadcast)

Sets the broadcast IP address of this QNetworkAddressEntry object to newBroadcast.

See also broadcast().

### QNetworkAddressEntry.setIp (self, QHostAddress newIp)

Sets the IP address the QNetworkAddressEntry object contains to newIp.

See also ip().

### QNetworkAddressEntry.setNetmask (self, QHostAddress newNetmask)

Sets the netmask that this QNetworkAddressEntry object contains to newNetmask.

See also netmask().